## ros-melodic-moveit-ros-benchmarks 1.0.7

=== debian/changelog ===
ros-melodic-moveit-ros-benchmarks (1.0.7-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.6-1stretch) stretch; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10, Fix warnings
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.5-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.3-1stretch) stretch; urgency=high

  * [feature] MoveIt benchmark improvements (#1510 <https://github.com/ros-planning/moveit/issues/1510>)
    * Add pseudo experiment all_experiments to allow comparing all entries
    * Expose loadBenchmarkQueryData() for setting up custom queries
    * Add benchmark entry for comparing the 'final' result trajectory
    * Add trajectory similarity function to measure repeatability
    * Address requested changes
    * Fill empty fields in all_experiments
    * Improve variable and function names
    * Add helper function computeTrajectoryDistance()
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.8-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.7-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@dav.ee>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.5-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.4-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.3-1stretch) stretch; urgency=high

  * [maintenance] Use locale independent conversion from double to string (#1099 <https://github.com/ros-planning/moveit/issues/1099>)
  * Contributors: Simon Schmeisser

 -- Dave Coleman <dave@dav.ee>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.2-1stretch) stretch; urgency=high

  * [capability] Benchmarking with different Motion Planners (STOMP, CHOMP, OMPL) (#992 <https://github.com/ros-planning/moveit/issues/992>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * Contributors: Mohmmad Ayman, Raghavender Sahdev, Robert Haschke, mike lautman

 -- Dave Coleman <dave@dav.ee>  Wed, 24 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.10.1-1stretch) stretch; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * Contributors: Ian McMahon

 -- Dave Coleman <dave@dav.ee>  Fri, 25 May 2018 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.11-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 25 Dec 2017 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.10-1stretch) stretch; urgency=high

  * [fix] benchmarks: always prefer local header over system installations #630 <https://github.com/ros-planning/moveit/issues/630>
  * Contributors: Jorge Nicho, v4hn

 -- Dave Coleman <dave@dav.ee>  Sat, 09 Dec 2017 07:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.9-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sun, 06 Aug 2017 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.8-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Wed, 21 Jun 2017 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.7-1stretch) stretch; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 05 Jun 2017 06:00:00 -0000

ros-melodic-moveit-ros-benchmarks (0.9.6-1stretch) stretch; urgency=high

  * [improve] Add install rule for examples, statistics script

