=== debian/control ===
Source: ros-melodic-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-moveit-ros-planning, ros-melodic-moveit-ros-warehouse, ros-melodic-pluginlib (>= 1.11.2), ros-melodic-roscpp, ros-melodic-tf2-eigen
Description: Enhanced tools for benchmarks in MoveIt!
